[Domains] Associate domain with web hosting
curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/domains/{id}/hosting/associate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hosting_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"configure_dns": true
}
'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/domains/{id}/hosting/associate"
payload = {
"hosting_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"configure_dns": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({hosting_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', configure_dns: true})
};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/domains/{id}/hosting/associate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hosting_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hosting_domain": "<string>",
"dns_configured": true
}Domains
[Domains] Associate domain with web hosting
Associate a domain with a web hosting service. This links the domain to the hosting account and optionally configures DNS records to point to the hosting server. When configure_dns is true, A and CNAME records are automatically created for the root domain and www subdomain pointing to the hosting server IP.
POST
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
domains
/
{id}
/
hosting
/
associate
[Domains] Associate domain with web hosting
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
The unique identifier (UUID) of the domain
⌘I

